Bug 398244 - Spellchecker runner plugin configure button should allow opening kcm to configure spellchecking
Summary: Spellchecker runner plugin configure button should allow opening kcm to confi...
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: spellchecker (show other bugs)
Version: 5.12.6
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-04 13:51 UTC by Leszek Lesner
Modified: 2018-09-12 11:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.14.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leszek Lesner 2018-09-04 13:51:50 UTC
The spellchecker runner plugin should not only allow setting the keyword to use but also allow opening up the kcm that allows configuring the spellcheck. (like setting the language and such)
Comment 1 Kai Uwe Broulik 2018-09-12 11:28:51 UTC
Git commit 1d99daa41fd6d5b596a849205cecfb8efe193ee4 by Kai Uwe Broulik.
Committed on 12/09/2018 at 11:28.
Pushed by broulik into branch 'master'.

[Spellchecker Runner] Add button to open Spell Check KCM

In the runner's configuration you can only configure the trigger word, whereas language and other settings are in the KCM.
Just add a button to open said KCM
FIXED-IN: 5.14.0

Differential Revision: https://phabricator.kde.org/D15427

M  +9    -0    runners/spellchecker/spellcheck_config.cpp
M  +1    -0    runners/spellchecker/spellcheck_config.h
M  +42   -17   runners/spellchecker/spellcheck_config.ui

https://commits.kde.org/kdeplasma-addons/1d99daa41fd6d5b596a849205cecfb8efe193ee4